#include <mbed.h>
#include "EC.h"
#include "R1370P.h"
#include "move4wheel.h"
#include "PathFollowing.h"
#include "Maxon_setting.h"
#include "Harurobo_CAN.h"

#define PROGRAM_INFO //プログラム使用時に使用プログラムの情報を最初に表示する際に定義

#define HARUROBO_TEST_MODE //テスト自動プログラム（練習・動作確認用）使用時に定義
//#define HARUROBO_RIGHT_MODE //本番用自動プログラム（右側フィールド）使用時に定義
//#define HARUROBO_LEFT_MODE //本番用自動プログラム（左側フィールド）使用時に定義

Ticker ticker;

//////////////////////////////////////////////////////////////以下main文/////////////////////////////////////////////////////////////////

int main()
{
      UserLoopSetting(); //Maxon関連設定関数
      UserLoopSetting2(); //PathFollowing関連設定関数
      
#ifdef PROGRAM_INFO //プログラム使用時に使用プログラムの情報を最初に表示

  printf("ソースファイル名 : %s\n\r", __FILE__);
  printf("作成日付 : %s\n\r", __DATE__);
  printf("作成時刻 : %s\n\r", __TIME__); //イギリスの時間（9時間前）の時間が表示される。
  
#endif
      
      
      

/////////////以下自動モードプログラム/////////////

#ifdef HARUROBO_TEST_MODE //テスト自動プログラム（練習・動作確認用）

      //Debug_Control();
    
      //purecurve2(5,1,1,0,0,-500,-500,9,1500,5,0.1,10,0.1,600,0);
      
     // gogo_straight(0,1,0,0,-500,0,500,500,5,0.1,10,0.1,600,0);
      
      ticker.attach(&can_read,0.01);
       
      //printf("%f\n",usw_data3);
      //if(usw_data3!=0){
     can_start();
     set_cond(1,0,0,1,-1000);
     gogo_straight(1,0,0,0,0,-300,500,500,5,0.1,10,0.1,600,0);
      //{

//while(1);

    MotorControl(0,0,0,0);

#endif 


#ifdef HARUROBO_RIGHT_MODE //本番用自動プログラム（右側フィールド用）

//ここに本番用自動プログラム（右側フィールド用）を書く

#endif


#ifdef HARUROBO_LEFT_MODE //本番用自動プログラム（左側フィールド用）

//ここに本番用自動プログラム（左側フィールド用）を書く

#endif 


/////////自動モードプログラム終了/////////

}